Page MenuHomePhabricator

Extensions should be able to define a configuration option as "public"
Closed, ResolvedPublic

Description

With the current idea of having a special page (like Special:Configurations) to be visible by everyone, this requires, that there's a way to hide options, that shouldn't be visible in the public. Instead of having an option, that allows extension developers to _hide_ options, @Legoktm and I agreed, that a better way is to require extension developers to explicitly define the a configuration as "public". So, there should be a way of doing this, e.g. by adding a new property to the config object in extension.json:

"config": {
  "myCoolConfiguration": {
    "value": "defaultValue",
    "public": true
  }
}

Event Timeline

Florian created this task.Jan 12 2017, 6:56 AM
Florian removed Florian as the assignee of this task.Jan 12 2017, 6:59 AM
Florian claimed this task.Jan 13 2017, 5:06 AM

Change 331954 had a related patch set uploaded (by Florianschmidtwelzow):
Allow extensions to mark a config option as public

https://gerrit.wikimedia.org/r/331954

Change 331954 merged by jenkins-bot:
[mediawiki/core] registration: Allow specifying the value of a config setting can be public

https://gerrit.wikimedia.org/r/331954

Florian closed this task as Resolved.Mar 8 2017, 5:51 PM